.product-columns {
	& .default-section__container--header {
		flex-direction: column;
	}

	& .default-section__container--main {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		flex-wrap: wrap;

		@media (--sm) {
			align-items: flex-start;
			flex-direction: row;
		}
	}
}

.product-columns__col {
	max-width: 768px;
	width: 100%;
	margin-top: 1em;

	& .product-columns__items {
		flex-direction: column;
	}

	& .product.type-product {
		width: 100%;
		flex-direction: row;
		margin-bottom: 1em;

		@media (--m) {
			flex-direction: row;
		}

		& .product__content {
			width: calc(100% - 95px);
			text-align: left;
		}

		& .product__image-wrapper {
			width: 95px;
		}

		& .product__quick-view,
		& .add_to_cart_button {
			display: none !important;
		}

		& .woocommerce-LoopProduct-link {
			word-break: break-word;
			display: -webkit-box;
			-webkit-line-clamp: 2;
			-webkit-box-orient: vertical;
			overflow: hidden;
			font-weight: 400 !important;
		}
	}
}

.product-columns--4-column {
	& .default-section__container--main {
		@media (--s) {
			flex-direction: row;
			align-items: flex-start;
		}
	}

	& .product-columns__col {
		@media (--s) {
			width: 50%;
		}

		@media (--ml) {
			width: 25%;
		}
	}
}

.product-columns--3-column {
	& .product-columns__col {
		@media (--sm) {
			width: 33.33%;
		}
	}
}

.product-columns--2-column {
	& .product-columns__col {
		@media (--sm) {
			width: 50%;
		}
	}
}

.product-columns--header-left {
	& .default-section__container--header {
		text-align: left;
		align-items: flex-end;
	}
}

.product-columns--header-right {
	& .default-section__container--header {
		text-align: right;
		align-items: flex-end;
	}
}

.product-columns--header-center {
	& .default-section__container--header {
		text-align: center;
		align-items: center;
	}
}

.product-columns--item-center {
	& .product-columns__item-title {
		text-align: center;
	}
}

.product-columns--item-right {
	& .product-columns__item-title {
		text-align: right;
	}
}
